Bug 27414 - Kudzu not linking /dev/modem with 3Com Pci hardware modem
Kudzu not linking /dev/modem with 3Com Pci hardware modem
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-13 11:14 EST by Dan Taylor
Modified: 2014-03-16 22:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-13 16:55:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Taylor 2001-02-13 11:14:34 EST
Dell Dimension 4100 with 3Com pci hardware modem.  Modem is found by kudzu 
and added to the /etc/sysconfig/hwconf, but no link is added for /dev/modem

Reproducible: Always
Steps to Reproduce:
1. Insert modem
2. Boot

	

Actual Results:  Modem is added to the /etc/sysconfig/hwconf but no link 
for /dev/modem to ttySx device.

Expected Results:  /dev/modem to be linked to appropiate ttySx device
------------------------------
# lspci -v
02:0d.0 Serial controller: US Robotics/3Com 56K FaxModem Model 5610 (rev 
01) (prog-if 02 [16550])
	Subsystem: US Robotics/3Com: Unknown device baba
	Flags: medium devsel, IRQ 11
	I/O ports at dfe0 [size=8]
	Capabilities: [dc] Power Management version 2
-------------------------------
# /etc/sysconfig/hwconf
class: MODEM
bus: PCI
detached: 0
driver: unknown
desc: "US Robotics/3Com|56K FaxModem Model 5610"
vendorId: 12b9
deviceId: 1008
subVendorId: 12b9
subDeviceId: baba
pciType: 1
-
class: OTHER
bus: SERIAL
detached: 0
device: ttyS1
driver: ignore
desc: "0US|R307"
pnpmfr: 0US
pnpmodel: R307
pnpcompat: 
-
--------------------------------
Comment 1 Glen Foster 2001-02-13 15:23:07 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 2 Bill Nottingham 2001-02-13 16:55:12 EST
What version of kudzu? Can you try this with the latest one from
the beta rawhide?
Comment 3 Bill Nottingham 2001-02-13 17:10:06 EST
Will be fixed in kudzu-0.96.2-1, or so.
Comment 4 Dan Taylor 2001-02-21 13:52:19 EST
Works ok in Wolverine (kudzu-0.96.7-1).

Note You need to log in before you can comment on or make changes to this bug.